GET
/
v1
/
homology
List retained homology searches
curl --request GET \
--url https://api.rafflesia.ai/v1/homology \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rafflesia.ai/v1/homology"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rafflesia.ai/v1/homology', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"provenance": {
"created_at": "<string>",
"operation": "<string>",
"request_id": "<string>",
"server_version": "<string>",
"cache_hit": true,
"database_snapshots": [
{
"name": "<string>",
"version": "<string>",
"digest": "<string>",
"kind": "<string>"
}
],
"generated_object_ids": [
"<string>"
],
"input_hash": "<string>",
"parameters_hash": "<string>",
"tool_versions": [
{
"name": "<string>",
"version": "<string>",
"path": "<string>"
}
]
},
"warnings": [
{
"code": "<string>",
"message": "<string>",
"details": {}
}
],
"$schema": "<string>",
"data": {
"data": [
{
"created_at": "<string>",
"id": "<string>",
"object": "<string>",
"policy_id": "<string>",
"query": {
"kind": "<string>",
"normalization_id": "<string>",
"normalized_length": 123,
"retention": "<string>",
"sha256": "<string>"
},
"receipt": {
"corpus_snapshot_id": "<string>",
"database_release_id": "<string>",
"engine": "<string>",
"is_deterministic": true,
"is_exhaustive": true,
"is_policy_complete": true,
"search_policy_id": "<string>",
"semantic_profile_id": "<string>",
"calibration_id": "<string>",
"canonical_filter_sha256": "<string>",
"filter_schema_id": "<string>",
"job_id": "<string>",
"query_compilation_id": "<string>",
"submission_id": "<string>",
"target_space_id": "<string>"
},
"results": {
"max_results": 5000,
"significance_requirement": "not_requested",
"unit": "target"
},
"specification_sha256": "<string>",
"warnings": [
{
"code": "<string>",
"message": "<string>",
"details": {}
}
],
"failure": {
"code": "<string>",
"detail": "<string>",
"is_retryable": true
},
"result_set": {
"canonical_result_id": "<string>",
"count": 123,
"is_result_limit_reached": true,
"object": "<string>",
"sha256": "<string>",
"url": "<string>"
},
"target_space": {
"eligible_record_count": 123,
"eligible_residue_count": 123,
"id": "<string>",
"is_filtered": true,
"total_record_count": 123,
"unknown_record_count": 123,
"canonical_filter_sha256": "<string>",
"filter_schema_id": "<string>"
}
}
],
"has_more": true,
"object": "<string>",
"url": "<string>",
"next_cursor": "<string>"
},
"error": {
"code": "<string>",
"doc_url": "<string>",
"message": "<string>",
"details": {},
"param": "<string>"
},
"evidence": {
"warnings_count": 123,
"duration_ms": 123,
"input_refs": [
"<string>"
],
"object_refs": [
"<string>"
],
"output_refs": [
"<string>"
],
"row_count": 123
}
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Authorizations
A Rafflesia API key, sent as Authorization: Bearer <key>.
Response
OK
Whether the operation succeeded.
Execution provenance.
Show child attributes
Show child attributes
Non-fatal warnings.
Show child attributes
Show child attributes
A URL to the JSON Schema for this object.
Example:
"https://example.com/schemas/EnvelopeHomologySearchList.json"
Operation result data.
Show child attributes
Show child attributes
Structured error information.
Show child attributes
Show child attributes
Mechanical evidence summary for agent inspection and chaining.
Show child attributes
Show child attributes
Previous
Create a retained homology searchCreates one durable search from scientific intent. Without Prefer, the server waits up to 2 seconds. Prefer: respond-async returns after durable acceptance; Prefer: wait=N waits up to N seconds. Returns 201 when terminal within that window and 202 otherwise. Transport preference never changes scientific execution.
Next
⌘I
List retained homology searches
